package msg_e

import "git.hilo.cn/hilo-common/resource/mysql"

type MsgIdType = uint

const (
	MSG_ID_GROUP_NAME         MsgIdType = 101
	MSG_ID_GROUP_INTRODUCTION MsgIdType = 102
	MSG_ID_GROUP_NOTIFICATION MsgIdType = 103
	MSG_ID_GROUP_WELCOME      MsgIdType = 104
	MSG_ID_GROUP_INVITE       MsgIdType = 105
	MSG_ID_GROUP_LEAVE_POWER  MsgIdType = 106
	MSG_ID_ALL_GROUP_ROCKET   MsgIdType = 107
	MSG_ID_ROOM_MEADAL        MsgIdType = 108
	MSG_ID_VIDEO_PUSH_TITITLE MsgIdType = 109
	MSG_ID_VIDEO_PUSH_CONTENT MsgIdType = 110
	MSG_ID_REPEAT_ACCOUNT     MsgIdType = 111
	MSG_ID_USER_TRANSFER      MsgIdType = 114
	MSG_ID_NO_POWER_TO_SVIP6  MsgIdType = 115 // 不能对svip6做某些动作
)

//消息发送类型，消息接收者是谁 1：通知 2：官网 3:被喜欢通知 （注意：MsgReceiveType 同 MsgUserRecordType 不是树形关系s）
//MsgReceive 结构体服务
type MsgReceiveType = mysql.Type

const (
	//小助手的通知
	UserMsgReceiveType MsgReceiveType = 1
	//系统的通知
	SysMsgReceiveType MsgReceiveType = 2
	//喜欢消息
	LikeMeReceiveType MsgReceiveType = 3
	//工会用户通知
	TradeUnionReceiveType MsgReceiveType = 4
	//用户召回
	UserRecall MsgReceiveType = 5
	//video请求
	VideoSend MsgReceiveType = 6
	//访问
	VisitReceiveType MsgReceiveType = 7
	//拉黑
	BlockReceiveType MsgReceiveType = 8
	//短信验证码
	SmsCode MsgReceiveType = 9
)

//跳转类型 0:无调整 1：网页跳转 2：app跳转 3：跳转到钻石 4：跳转到背包
type ActionType = uint16

const (
	NonActionType ActionType = 0
	WebActionType ActionType = 1
	AppActionType ActionType = 2
)

//消息记录类型(设计的不好，应该是根据消息样式类型设计，而不是业务类型，渣渣)
type MsgUserRecordType = mysql.Type

const (
	//新用户
	//NewUserType MsgUserRecordType = 1
	//举报
	ReportType MsgUserRecordType = 2
	//喜欢我
	//LikeMeType MsgUserRecordType = 3
	//重置图片
	ResetAvatarType MsgUserRecordType = 4
	//
	//喜欢我
	LikeMeType MsgUserRecordType = 5
	//访问
	VisitType MsgUserRecordType = 6
	//新匹配记录
	MatchHistoryType MsgUserRecordType = 7
	//互相喜欢
	LikeEachType MsgUserRecordType = 8
	//你获得s%钻石的礼物收益！
	DiamondIncome MsgUserRecordType = 9
	//榜单结果
	ActivityBillboardResult MsgUserRecordType = 10
	//榜单钻石收益
	ActivityBillboardDiamond MsgUserRecordType = 11
	//榜单坐骑收益
	ActivityBillboardProperty MsgUserRecordType = 12
	//通过收礼物获得豆子
	ActivityBeanProperty MsgUserRecordType = 13
	//管理人送钻石
	MgrSendDiamondProperty MsgUserRecordType = 14
	//群组榜单钻石收益
	ActivityGroupBillboardDiamond MsgUserRecordType = 15
	//群组榜单坐骑收益
	ActivityGroupBillboardProperty MsgUserRecordType = 16
	//群组支持收益
	GroupSupport MsgUserRecordType = 17
	//群组支持提醒结果
	GroupSupportResult MsgUserRecordType = 18
	//管理人送座驾
	MgrSendProperty MsgUserRecordType = 19
	//送道具（座驾，头饰都属于道具）
	AddProps MsgUserRecordType = 20
	//MISS活动获胜
	ActivityBillboardBeLikeResult = 21
	//CP活动获胜
	ActivityBillboardCpResult = 22
	//加入势力主
	GroupPowerUserJoin = 23
	//离开势力主
	GroupPowerUserLeave = 24
	//贵族
	AddNoble = 25
	//日充值活动通知
	ActivityTriggerDayPay = 26
	//也门活动通知
	ActivityTriggerYemen = 27
	//月充值活动通知
	ActivityTriggerMonthPay  = 28
	FruitTycoonAward         = 29 // 水果大亨获奖
	LuckyboxRecycle          = 30 //幸运盒子回收
	HlTemp1                  = 31 //产品黄蕾，2022/06/29 临时要求发给某人的小助手消息
	HLTemp2                  = 32 //问卷调查
	NewUserInviteAuditPassed = 33 // 新用户奖励活动审核通过
	NewUserInviteAuditFailed = 34 // 新用户奖励活动审核不通过
	NewUserInviterAward      = 35 // 新用户奖励活动邀请成功数达标
	PowerSupportSalary       = 36 // 势力扶持工资领取 提醒
	CountryStarOrdinaryAward = 37 // 国家之星瓜分奖提醒
	GroupActivityRewardMsg   = 38 // 群组活动钻石奖励提醒
	TemplateActAwardMsg      = 39 // 通用模板活动奖励提醒
	TemplateSmsCode          = 40 // 通用模板活动奖励提醒
	NewUserRegisterPush1     = 44 // 首次充值免费获得永久充值勋章！累积充值$50可申请特殊ID：ABBABB！
	NewUserRegisterPush2     = 45 // 邀请朋友来Hilo，最高获得100,000钻石奖励！
	NewUserRegisterPush3     = 46 // 举办首个活动，领取10,000钻石和35%奖杯奖励！
	ActFruitPutRankAward     = 47 // 水果机投入排行榜提醒领奖
	GroupPowerUpgrade        = 48 // 家族升级
	GroupPowerExpireNotice   = 49 // 家族等级即将过期（每月20日）
)

type MsgSysUserType = mysql.Type

const (
	//系统消息
	SysType MsgSysUserType = 1
	//小助手消息
	AssistantType MsgSysUserType = 2
)

//resMsgTransalte 中 msg_type 同 type， msg_type是属于一级类型 type属于二级类型。 msg_type 对应MsgReceiveType type：部分对应MsgUserRecordType MsgUserRecordType（应该是小助手的类型）
type MsgSysRecordType = mysql.Type

const (
	//这个值木有意义，
	SysMsgSysRecordType1 MsgSysRecordType = 1
	SysMsgSysRecordType2 MsgSysRecordType = 2
)
